#include <iostream>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    long long int n, h, unos, izlaz = -1, i=1;
    cin >> n >> h;

    while(n>0)
    {
        cin >> unos;// svakako mora unesem sve brojeve ne mogu zaobidjem prvu petlju

        if(unos <= h)// pa cu iskoristiti to i u isto vreme testirati granicu
        {

            izlaz = i;// ovako mogu da proveravam samo dokle moram
            n--;
            break;// ako nije -1 prelazimo na sledecu petlju gde nema pregledavanja bezveze
        }
        i++;
        n--;
    }

    while(n>0)// samo obilazimo jer unos je obavezan
    {
        cin >> unos;
        n--;
    }

    cout << izlaz;

    return 0;
}